## xjump 2.7

=== Makefile ===
########################################################

# Ѥ륳ѥȥץ
CC      = gcc -O2 

# ɸʳΥ󥯥롼ɥեΥǥ쥯ȥ
IDIR    = -I/usr/X11R6/include

# ɸʳΥ饤֥Υǥ쥯ȥ
LDIR    = -L/usr/X11R6/lib

#########################################################

# 󥹥ȡ
TARGET = /usr/games/

# 쥳ɥեΥǥ쥯ȥ
RECORD_DIR  = /var/lib/games/xjump

#쥳ɥեΥե̾(ϥХʥޤޤ)
RECORD_FILE  = $(RECORD_DIR)/record

#########################################################

# 쥳ɤΥȥ(ϥХʥޤޤ)
RECORD_ENTRY  = 20

##########################################################

xjump : main.o game.o key.o misc.o record.o resource.o
	$(CC) -o xjump \
		main.o game.o key.o misc.o record.o resource.o\
		-lXaw -lXmu -lXt -lXpm -lXext -lX11 $(LDIR)

main.o : main.c xjump.h record.h \
		picture.xpm icon.xbm icon_msk.xbm Makefile
	$(CC) -c -DRECORD_ENTRY=$(RECORD_ENTRY) main.c $(IDIR)

resource.o : resource.c
	$(CC) -c resource.c

game.o : game.c xjump.h
	$(CC) -c game.c $(IDIR)

key.o : key.c xjump.h
	$(CC) -c key.c $(IDIR)

misc.o : misc.c
	$(CC) -c misc.c

record.o : record.c record.h Makefile
	$(CC) -c \
		-DRECORD_ENTRY=$(RECORD_ENTRY) \
		-DRECORD_FILE=\"$(RECORD_FILE)\" \
		record.c


install	: xjump
	install -g games -c -s -m 2755 xjump $(DESTDIR)$(TARGET)

clean:
	rm -f *.o xjump *~

=== debian/changelog ===
xjump (2.7) unstable; urgency=low

  * debian/ included in orig.tar.gz. Now no need diffs for debian.
  * Score 10 digitization refering to the Linux Japan.com patch.

 -- Masato Taruishi <taru@debian.org>  Thu, 19 Aug 1999 20:50:52 +0900

xjump (2.6.1-5) unstable; urgency=low

  * Fixed prerm for the problem removing score file anyway.

 -- Masato Taruishi <taru@debian.or.jp>  Sat, 20 Jun 1998 01:11:15 +0900

xjump (2.6.1-4) frozen-jp unstable-jp; urgency=low

  * Removed README.debian.

 -- Masato Taruishi <taru@debian.or.jp>  Fri, 12 Jun 1998 05:29:05 +0900

xjump (2.6.1-3) unstable; urgency=low

  * Fixed it so that the obsolete copyright file had stayed.

 -- Masato Taruishi <taru@debian.or.jp>  Fri,  5 Jun 1998 03:00:41 +0900

xjump (2.6.1-2) unstable; urgency=low

  * Fixed it with the bug original file not contain copyright file.

 -- Masato Taruishi <taru@debian.or.jp>  Thu,  4 Jun 1998 01:17:34 +0900

xjump (2.6.1-1) unstable; urgency=low

  * Licence changed into GPL.
  * New upstream verion.

 -- Masato Taruishi <taru@debian.or.jp>  Wed,  3 Jun 1998 02:38:59 +0900

xjump (2.6-3) unstable; urgency=low

  * Rebuild it associated with xfree86-freetype changes.

 -- Masato Taruishi <taru@debian.or.jp>  Tue, 26 May 1998 02:20:40 +0900

xjump (2.6-2) unstable; urgency=low

  * Move record file removing script to prerm. 
  * Change the maintainer's mail address and PGP key.

 -- Masato Taruishi <taru@debian.or.jp>  Tue, 19 May 1998 16:33:47 +0900

xjump (2.6-1) unstable; urgency=low

  * Initial Release.

 -- Masato Taruishi <taruis-m@jed.uec.ac.jp>  Wed, 25 Feb 1998 16:47:20 +0900

Local variables:
mode: debian-changelog
add-log-mailing-address: "taru@debian.or.jp"
End:

=== debian/control ===
Source: xjump
Section: games
Priority: optional
Maintainer: Masato Taruishi <taru@debian.or.jp>
Standards-Version: 2.3.0.1

Package: xjump
Architecture: any
Depends: ${shlibs:Depends}
Description: jumping game for X.
 A jumping game for X. The way to play this game is very simple,
 but nice game. What you do in this game is only to jump, jump and
 jump up above.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=xjump

build:
	$(checkdir)
	
	make CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/man/man6/xjump.6.gz
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README.euc 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## xjump 2.7.5

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 TARGET = /usr/games/
 
 # 쥳ɥեΥǥ쥯ȥ
-RECORD_DIR  = /var/lib/games/xjump
+RECORD_DIR  = /var/games/xjump
 
 #쥳ɥեΥե̾(ϥХʥޤޤ)
 RECORD_FILE  = $(RECORD_DIR)/record

=== debian/changelog ===
xjump (2.7.5-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Make the build reproducible by passing -n to gzip calls in debian/rules.
    (Closes: #777354)

 -- Chris Lamb <lamby@debian.org>  Tue, 10 Jan 2017 16:44:41 +0000

xjump (2.7.5-6.1) unstable; urgency=low

  * Non-maintainer upload; ACKed by the maintainer.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #668495).
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets to rules file.
  * Fix dh_desktop-is-deprecated (Lintian).
  * Fix description-synopsis-starts-with-article (Lintian).
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix maintainer-script-without-set-e *{rm,inst} (Lintian).
  * Fix desktop-entry-contains-encoding-key (Lintian).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 06 May 2012 09:51:17 +0300

xjump (2.7.5-6) unstable; urgency=low

  * Build-depend on x11proto-core-dev instead of deprecated x-dev,
    closes: #515452.
  * Update compat to 7.
  * Update standards version to 3.8.0.

 -- Samuel Mimram <smimram@debian.org>  Mon, 16 Feb 2009 09:39:00 +0100

xjump (2.7.5-5) unstable; urgency=low

  * Updated 01_overflow.dpatch so that it is path-independent,
    closes: #483329.
  * Updated menu section to Games/Block.
  * Don't ignore errors when cleaning.
  * Updated standards version to 3.7.3.

 -- Samuel Mimram <smimram@debian.org>  Thu, 29 May 2008 00:35:11 +0200

xjump (2.7.5-4) unstable; urgency=low

  * Added ion theme to the package (thanks Johan Kiviniemi). See README.Debian
    for information about how to use it. Closes: #383567.

 -- Samuel Mimram <smimram@debian.org>  Sun, 17 Dec 2006 14:29:12 +0000

xjump (2.7.5-3) unstable; urgency=low

  * Added 05_unneded_deps.dpatch to remove extra dependencies on Xmu and Xext
    (thanks checklib).

 -- Samuel Mimram <smimram@debian.org>  Sat, 17 Jun 2006 22:14:55 +0000

xjump (2.7.5-2) unstable; urgency=low

  * New maintainer, closes: #374114.
  * Acknowledging NMUs,
    closes: #192979, #173216, #88315, #86737, #64498, #346771.
  * Corrected a typo in the manpage, closes: #195844.
  * Added a .desktop file.
  * Updated standards version to 3.7.2.

 -- Samuel Mimram <smimram@debian.org>  Sat, 17 Jun 2006 15:30:36 +0000

xjump (2.7.5-1.3) unstable; urgency=low

  * Non-maintainer upload to help xlibs-dev transition.
  * debian/control: Replace xlibs-dev build-dep. (Closes: #346771)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 16:52:27 +0100

xjump (2.7.5-1.2) unstable; urgency=low

  * NMU, maintainer blessed - thanks Masato
  * Kill all of the debmake crap and replace with debhelper.
      + Repair description.
      + Update to Standards-Version 3.5.10.
  * Make the highscore file gid games, g+w, and the xjump binary setgid games
  to comply with policy. (Closes: #173216, #192979)
  * Change the Makefile to respect CFLAGS.
  * Finally fix the autorepeat issue. (Closes: #64498, #86737)
  * Change prerm to a postrm and make it only do rm the highscore file on
    `purge'.

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 26 May 2003 21:24:50 -0700

xjump (2.7.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add manpage for xjump. (Closes: #88315)

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Sat, 23 Nov 2002 23:36:28 -0500

xjump (2.7.5-1) unstable; urgency=high

  * Oops. Fixed the missing argument bug in postinst.
    (closes: #130731)
  * I'd like to say thank you to Colin Watson <cjwatson@debian.org>
    who worked for Bug#92517.
  * Added debian/debuild.sh.
  * Rebuiling makes the icon file to be included (closes: #122732).

 -- Masato Taruishi <taru@debian.org>  Fri, 25 Jan 2002 12:24:28 +0900

xjump (2.7.4-1) unstable; urgency=high

  * xjump isn't a debian native package.
  * Moved record file to /var/games/ (closes: #92517)
    Urgency=high, because this is a release-critical-bug.

 -- Masato Taruishi <taru@debian.org>  Thu, 24 Jan 2002 20:41:18 +0900

xjump (2.7.3) unstable; urgency=low

  * Added Build-Depends on libxaw-dev (closes: #84649).

 -- Masato Taruishi <taru@debian.org>  Sun,  4 Mar 2001 01:57:15 +0900

xjump (2.7.2) unstable; urgency=low

  * Added an icon from Robert Cleaver Ancell (closes: #75874).
  * Addded Build-Depends.

 -- Masato Taruishi <taru@debian.org>  Mon, 20 Nov 2000 20:48:16 +0900

xjump (2.7.1) unstable; urgency=low

  * Rebuilt against new xpm4g-dev (closes: #67936).

 -- Masato Taruishi <taru@debian.org>  Fri, 18 Aug 2000 23:55:05 +0900

=== debian/control ===
Source: xjump
Section: games
Priority: optional
Maintainer: Samuel Mimram <smimram@debian.org>
Build-Depends: debhelper (>= 9), libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, libxaw7-dev
Standards-Version: 3.9.3

Package: xjump
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: jumping game for X
 The epitome of addictive and pointless games, xjump is simply a game
 where one jumps from one platform to a higher platform, over and over. If
 you can't keep up with the pace of jumping, the floor swallows you up and
 your game is over.

=== debian/rules ===
#!/usr/bin/make -f
# Rewritten debian/rules for xjump by Joshua Kwan



build-arch: build
build-indep: build

build:
	dh_testdir
	make CFLAGS="-O2 -g -Wall"
	touch build

clean:
	dh_testroot
	dh_testdir
	make clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	make install DESTDIR=$(CURDIR)/debian/xjump
	install -m 644 -o root -g root xjump-icon.xpm debian/xjump/usr/share/pixmaps/
	cp debian/themes/* debian/xjump/usr/share/games/xjump/
	for i in debian/xjump/usr/share/games/xjump/*; do gzip -9n $$i; done
	cp debian/xjump.desktop debian/xjump/usr/share/applications/
	# Encoding is by default UTF-8
	sed -i '/Encoding=/d' debian/xjump/usr/share/applications/xjump.desktop

binary-indep:
	dh_testdir

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs README.euc
	dh_installman debian/xjump.6
	dh_installchangelogs
	dh_installmenu
#	dh_desktop
	dh_link
	dh_strip
	dh_compress
	dh_fixperms

	chgrp games debian/xjump/var/games/xjump debian/xjump/usr/games/xjump
	chmod g+s debian/xjump/usr/games/xjump

	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean install

## xjump 2.9.3

=== debian/changelog ===
xjump (2.9.3-1) unstable; urgency=medium

  * Team upload.
    Closes: #1082960 

  [ Andreas Tille ]
  * New upstream version
    Closes: #781106, #1075666, #352622, #680322, #438301
  * Maintain package in Debian Games team
    Closes: #1081188
  * Add Homepage
  * Add watch file
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Remove deprecated Encoding key from desktop file debian/xjump.desktop.
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Replace dependency on transitional package
      x11proto-core-dev with replacement x11proto-dev.
  * d/rules: Short dh
  * Remove debian/menu since there is a desktop file
  * Remove unused prerm
  * Enable hardening options

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    Closes: #958142

 -- Andreas Tille <tille@debian.org>  Mon, 21 Oct 2024 09:30:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,14 @@
 Source: xjump
 Section: games
 Priority: optional
-Maintainer: Samuel Mimram <smimram@debian.org>
-Build-Depends: debhelper (>= 9), libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, libxaw7-dev
-Standards-Version: 3.9.3
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Samuel Mimram <smimram@debian.org>
+Build-Depends: debhelper-compat (= 13), libx11-dev, libxpm-dev, libxt-dev, x11proto-dev, libxaw7-dev
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/games-team/xjump
+Vcs-Git: https://salsa.debian.org/games-team/xjump.git
+Homepage: https://github.com/hugomg/xjump/
+Rules-Requires-Root: no
 
 Package: xjump
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --localstatedir=/var/games

override_dh_install:
	dh_install
	for i in debian/xjump/usr/share/games/xjump/*; do gzip -9n $$i; done
	mv debian/`dh_listpackages`/usr/bin debian/`dh_listpackages`/usr/games
	chmod g+s debian/`dh_listpackages`/usr/games/xjump

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com//hugomg/xjump/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
